#ifndef MENU_H
#define MENU_H

#include "score.h"
#include "stars.h"
#include <vector>


class StartMenu {
	static StartMenu * singleton_;

	XFontStruct *const font_;
	int width_;

	StartMenu();
	~StartMenu();
	void Print() const;
public:
	static StartMenu & Instance() {
		if (!singleton_) singleton_ = new StartMenu();
		return *singleton_;
	}
	static void DestroyInstance() { delete singleton_; singleton_ = 0; }

	bool Display(std::vector<StarsField> * stars_fields,
	             Score * score) const;
};


#endif
